org.h2.compress

## Class LZFOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.h2.compress.LZFOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class LZFOutputStream
    extends java.io.OutputStream

An output stream to write an LZF stream. The data is automatically compressed.

### Constructor Summary

Constructors
Constructor and Description
`LZFOutputStream(java.io.OutputStream out)`

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `write(byte[] buff, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LZFOutputStream

    public LZFOutputStream(java.io.OutputStream out)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### write

    public void write(int b)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] buff,
             int off,
             int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`